Subject: Re: What's cooking in git.git (Sep 2025, #02; Wed, 3)

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2025 09:21:09 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> • Incorporate Peff’s patch[2] if I’m up to the task
> • Then mention on the whatchanged *hint* that they can make an alias to
>   shadow it

Hmph, I am not sure if training users that they can always alias
anything away in order to keep deprecated names forever is a good
idea overall.  That way, we will ensure that newer users when
watching over shoulders of more old timers will have more chance to
get confused by unusual synonyms old timers would use without any
advantage over the more modern ways they have learned at school,
other than the "mustle memory" of old timers.

But if nobody is disturbed by that idea, then the above two would be
a reasonable way forward.